Subject: RE: linux-next: manual merge of the akpm-current tree with the dma-mapping tree

From: "Song Bao Hua (Barry Song)" <[email-masked]>
Date: Wed, 16 Sep 2020 04:22:03 +0000

> -----Original Message-----
> From: Stephen Rothwell [mailto:[email-masked]]
> Sent: Wednesday, September 16, 2020 4:12 PM
> To: Andrew Morton <[email-masked]>; Christoph Hellwig
> <[email-masked]>
> Cc: Mike Kravetz <[email-masked]>; Song Bao Hua (Barry Song)
> <[email-masked]>; Linux Next Mailing List
> <[email-masked]>; Linux Kernel Mailing List
> <[email-masked]>
> Subject: linux-next: manual merge of the akpm-current tree with the
> dma-mapping tree
> 
> Hi all,
> 
> Today's linux-next merge of the akpm-current tree got a conflict in:
> 
>   mm/Kconfig
> 
> between commit:
> 
>   b7176c261cdb ("dma-contiguous: provide the ability to reserve per-numa
> CMA")
> 
> from the dma-mapping tree and commit:
> 
>   c999bd436fe9 ("mm/cma: make number of CMA areas dynamic, remove
> CONFIG_CMA_AREAS")
> 
> from the akpm-current tree.

I guess this is because Mike's patch was written on top of dma-mapping's next branch.
Will it be better to go through Christoph's tree?
> 
> I fixed it up (I just used the latter version) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.
> 
> --
> Cheers,
> Stephen Rothwell

Thanks
Barry